#!/bin/sh

# vim: sw=4 ts=4

for disk in $(list-harddrives | grep -v fd0 | awk '{printf $1 " "}'); do
	dd if=/dev/zero of=/dev/$disk bs=512 count=32
	parted -s /dev/${disk} mklabel gpt;
done

SWSIZE=$(grep MemTotal /proc/meminfo  | awk '{print int($2/1024)+1}')
if [ ${SWSIZE} -gt 2048 ]; then
	SWSIZE=2048
fi

set $(list-harddrives | grep -v fd0 | grep -v md[0-9] | awk '{printf $1 " "}')
HD1=$1
HD2=$2
HD3=$3
HD4=$4

SIZE1=$(fdisk -l "/dev/${HD1}"  2>/dev/null  | grep Disk | grep dev |  sed 's/://'|awk '{print $5}')

# get disk size in GB
#  DISKSIZE=`parted -sm /dev/$DEV unit GB print | grep -e "$DEV" | cut -d: -f2 | sed -e 's/GB$//'`

if [ -d /sys/firmware/efi ]; then
	efibootmgr -v | grep BootCurrent | cut -d' ' -f2 > /tmp/efi_booted
	echo "part /boot/efi --fstype vfat --size=200 --ondisk=${HD1}" >> /tmp/part-include
	echo "part /boot/efi --fstype vfat --size=200 --ondisk=${HD2}" >> /tmp/part-include
	echo "part /boot/efi --fstype vfat --size=200 --ondisk=${HD3}" >> /tmp/part-include
	echo "part /boot/efi --fstype vfat --size=200 --ondisk=${HD4}" >> /tmp/part-include
elif [ ${SIZE1} -gt 2254857830400 ]; then
	# bios boot partition necessary
	echo "part biosboot --fstype=biosboot --size=1 --ondisk=${HD1}" >> /tmp/part-include
	echo "part biosboot --fstype=biosboot --size=1 --ondisk=${HD2}" >> /tmp/part-include
	echo "part biosboot --fstype=biosboot --size=1 --ondisk=${HD3}" >> /tmp/part-include
	echo "part biosboot --fstype=biosboot --size=1 --ondisk=${HD4}" >> /tmp/part-include
fi
cat >> /tmp/part-include << EOF
part raid.11 --size=512 --asprimary --ondisk=${HD1}
part raid.12 --size=${SWSIZE} --asprimary --ondisk=${HD1}
part raid.13 --size=1 --grow --asprimary --ondisk=${HD1}

part raid.21 --size=512 --asprimary --ondisk=${HD2}
part raid.22 --size=${SWSIZE} --asprimary --ondisk=${HD2}
part raid.23 --size=1 --grow --asprimary --ondisk=${HD2}

part raid.31 --size=512 --asprimary --ondisk=${HD3}
part raid.32 --size=${SWSIZE} --asprimary --ondisk=${HD3}
part raid.33 --size=1 --grow --asprimary --ondisk=${HD3}

part raid.41 --size=512 --asprimary --ondisk=${HD4}
part raid.42 --size=${SWSIZE} --asprimary --ondisk=${HD4}
part raid.43 --size=1 --grow --asprimary --ondisk=${HD4}

raid /boot --fstype ext4 --level=RAID1 --device=md0 raid.11 raid.21 raid.31 raid.41
raid swap --fstype swap --level=RAID10 --device=md1 raid.12 raid.22 raid.32 raid.42
raid / --fstype xfs --level=RAID10 --device=md2 raid.13 raid.23 raid.33 raid.43
EOF


